/*
 * Front gateway
 *
 * Front gateway
 *
 * API version: 0.0.1
 * Generated by: OpenAPI Generator (https://openapi-generator.tech)
 */

package openapi

type UserConfirmationIsExpired struct {

	Kind string `json:"kind,omitempty"`
}

// AssertUserConfirmationIsExpiredRequired checks if the required fields are not zero-ed
func AssertUserConfirmationIsExpiredRequired(obj UserConfirmationIsExpired) error {
	return nil
}

// AssertRecurseUserConfirmationIsExpiredRequired recursively checks if required fields are not zero-ed in a nested slice.
// Accepts only nested slice of UserConfirmationIsExpired (e.g. [][]UserConfirmationIsExpired), otherwise ErrTypeAssertionError is thrown.
func AssertRecurseUserConfirmationIsExpiredRequired(objSlice interface{}) error {
	return AssertRecurseInterfaceRequired(objSlice, func(obj interface{}) error {
		aUserConfirmationIsExpired, ok := obj.(UserConfirmationIsExpired)
		if !ok {
			return ErrTypeAssertionError
		}
		return AssertUserConfirmationIsExpiredRequired(aUserConfirmationIsExpired)
	})
}
